edu.msu.cme.rdp.multicompare.visitors

## Class DefaultPrintVisitor

- java.lang.Object
- - edu.msu.cme.rdp.multicompare.visitors.DefaultPrintVisitor

All Implemented Interfaces:
  edu.msu.cme.rdp.taxatree.interfaces.TreeVisitor<MCTaxon>

    public class DefaultPrintVisitor
    extends java.lang.Object
    implements edu.msu.cme.rdp.taxatree.interfaces.TreeVisitor<MCTaxon>

### Constructor Summary

Constructors
Constructor and Description
`DefaultPrintVisitor(java.io.PrintStream out, java.util.List<MCSample> samples)`
`DefaultPrintVisitor(java.io.PrintStream out, java.util.List<MCSample> samples, boolean printCNcorrected)`
`DefaultPrintVisitor(java.io.PrintStream out, java.util.List<MCSample> samples, boolean printCNcorrected, boolean ommitEmpty)`

### Method Summary

Methods
`boolean` `isDoubleInt(double d)`
`boolean` `visitNode(edu.msu.cme.rdp.taxatree.VisitInfo<MCTaxon> info)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultPrintVisitor

    public DefaultPrintVisitor(java.io.PrintStream out,
                       java.util.List<MCSample> samples)

#### DefaultPrintVisitor

    public DefaultPrintVisitor(java.io.PrintStream out,
                       java.util.List<MCSample> samples,
                       boolean printCNcorrected)

#### DefaultPrintVisitor

    public DefaultPrintVisitor(java.io.PrintStream out,
                       java.util.List<MCSample> samples,
                       boolean printCNcorrected,
                       boolean ommitEmpty)

### Method Detail

#### visitNode

    public boolean visitNode(edu.msu.cme.rdp.taxatree.VisitInfo<MCTaxon> info)

Specified by:
  `visitNode` in interface `edu.msu.cme.rdp.taxatree.interfaces.TreeVisitor<MCTaxon>`

#### isDoubleInt

    public boolean isDoubleInt(double d)